Package org.postgresql

# Interface PGRefCursorResultSet

All Known Implementing Classes:
  `PgResultSet`

@Deprecated public interface PGRefCursorResultSet
Deprecated.
As of 8.0, this interface is only present for backwards- compatibility purposes. New code should call getString() on the ResultSet that contains the refcursor to obtain the underlying cursor name.
A ref cursor based result set.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getRefCursor()`
Deprecated.
As of 8.0, replaced with calling getString() on the ResultSet that this ResultSet was obtained from.

## Method Details

### getRefCursor

@Deprecated @Nullable String getRefCursor()
Deprecated.
As of 8.0, replaced with calling getString() on the ResultSet that this ResultSet was obtained from.

Returns:
  the name of the cursor.